// Rhea

use bumpalo::Bump;
use logos::Logos;
use std::io::{stdin, Read};
use utils::default;

mod syntax;
mod utils;


fn main() -> Result<(), Box<dyn std::error::Error>> {
    let mut buf = default();
    stdin().read_to_string(&mut buf)?;

    let lexer = syntax::token::Token::lexer_with_extras(&buf, default());
    let arena = Bump::new();
    syntax::parser::parse_lexer(lexer, &arena);

    Ok(())
}
